# Az - Storage Persistence

{{#include ../../../banners/hacktricks-training.md}}

## Storage Privesc

Per ulteriori informazioni sullo storage, controlla:

{{#ref}}
../az-services/az-storage.md
{{#endref}}

### Trucchi comuni

- Conserva le chiavi di accesso
- Genera SAS
- Gli utenti delegati hanno un massimo di 7 giorni

### Microsoft.Storage/storageAccounts/blobServices/containers/update && Microsoft.Storage/storageAccounts/blobServices/deletePolicy/write

Queste autorizzazioni consentono all'utente di modificare le proprietà del servizio blob per la funzionalità di retention della cancellazione dei contenitori, che abilita o configura il periodo di retention per i contenitori eliminati. Queste autorizzazioni possono essere utilizzate per mantenere la persistenza e fornire una finestra di opportunità per l'attaccante di recuperare o manipolare contenitori eliminati che avrebbero dovuto essere rimossi permanentemente e accedere a informazioni sensibili.
```bash
az storage account blob-service-properties update \
--account-name <STORAGE_ACCOUNT_NAME> \
--enable-container-delete-retention true \
--container-delete-retention-days 100
```
### Microsoft.Storage/storageAccounts/read && Microsoft.Storage/storageAccounts/listKeys/action

Queste autorizzazioni possono consentire all'attaccante di modificare le politiche di retention, ripristinare dati eliminati e accedere a informazioni sensibili.
```bash
az storage blob service-properties delete-policy update \
--account-name <STORAGE_ACCOUNT_NAME> \
--enable true \
--days-retained 100
```
{{#include ../../../banners/hacktricks-training.md}}
